Name:		libev
Version:	3.43
Release:	alt1
Summary:	libev - an event notification library
License:	BSD or GPL v2+
URL:		http://software.schmorp.de/pkg/libev
Group:		System/Libraries
Source:	%name-%version-%release.tar

Packager: Kirill A. Shutemov <kas@altlinux.org>

%description
The libev API provides a mechanism to execute a callback function when
a specific event occurs on a file descriptor or after a timeout has
been reached. It is meant to replace the asynchronous event loop found
in event-driven network servers.

%package devel
Summary:	Header files for libev library
Group:		Development/C
Requires:	%name = %version-%release

%description devel
Header files for libev library.

%package devel-static
Summary:	Static libev library
Group:		Development/C
Requires:	%name-devel = %version-%release

%description devel-static
Static libev library.

%prep
%setup -q -n %name-%version-%release

%build
%autoreconf
%configure 
%make_build

%install
%makeinstall

# avoid conflict with libevent
install -d %buildroot%_includedir/libev
mv %buildroot%_includedir/event.h %buildroot%_includedir/libev

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%doc Changes LICENSE README
%_libdir/libev.so.*

%files devel
%_libdir/libev.so
%_includedir/ev.h
%_includedir/ev++.h
%_includedir/libev
%_man3dir/*

%files devel-static
%_libdir/libev.a

%changelog
* Tue Aug 26 2008 Kirill A. Shutemov <kas@altlinux.ru> 3.43-alt1
- First build for ALT Linux

Revision 1.5  2008/07/14 16:56:30  qboosh
- updated to 3.43

Revision 1.4  2008/02/19 23:12:31  qboosh
- updated to 3.0 (new soname)

Revision 1.3  2008-01-22 18:38:52  qboosh
- updated to 2.01 (new soname)

Revision 1.2  2007-12-16 14:20:36  qboosh
- updated to 1.85
- avoid conflict with libevent-devel

Revision 1.1  2007-11-21 20:35:17  areq
- init PLD spec
